List messages
curl --request GET \
--url https://{host}/v1/conversations/{conversationId}/messages \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{host}/v1/conversations/{conversationId}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/v1/conversations/{conversationId}/messages",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}import requests
url = "https://{host}/v1/conversations/{conversationId}/messages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"type": "messages",
"id": "88119",
"attributes": {
"body": "Would you consider €12,450 if it comes with the box?",
"author": "buyer",
"mine": false,
"removed": false,
"priceProposal": null,
"translatedBody": "Würden Sie 12.450 € in Betracht ziehen, wenn sie mit der Box kommt?",
"translationLocale": "de",
"translationSourceLocale": "en",
"translationPending": false,
"createdAt": "2026-09-21T07:12:40.000000Z"
},
"links": {
"self": "https://api.wristler.eu/v1/conversations/3312/messages/88119"
}
},
{
"type": "messages",
"id": "88120",
"attributes": {
"body": null,
"author": "seller",
"mine": true,
"removed": false,
"priceProposal": {
"amount": 1245000,
"currency": "EUR",
"shippingCosts": 0,
"saving": 50000,
"savingPercentage": 4,
"from": "seller",
"status": "pending",
"state": "open",
"payable": true,
"open": true,
"generatedBody": true,
"expiresAt": "2026-09-23T07:30:11.000000Z",
"acceptedAs": null,
"checkoutUrl": "https://wristler.eu/checkout/91827-rolex-submariner-date?expires=1790062211&price=1245000&signature=…"
},
"translatedBody": null,
"translationLocale": null,
"translationSourceLocale": null,
"translationPending": false,
"createdAt": "2026-09-21T07:30:11.000000Z"
},
"links": {
"self": "https://api.wristler.eu/v1/conversations/3312/messages/88120"
}
}
],
"meta": {
"page": {
"perPage": 25,
"hasMore": false
}
}
}{
"errors": [
{
"status": "404",
"code": "watch_reserved",
"title": "Not Found",
"detail": "<string>",
"meta": {},
"source": {
"pointer": "/data/attributes/reference",
"parameter": "<string>"
}
}
],
"jsonapi": {
"version": "1.0"
}
}{
"errors": [
{
"status": "404",
"code": "watch_reserved",
"title": "Not Found",
"detail": "<string>",
"meta": {},
"source": {
"pointer": "/data/attributes/reference",
"parameter": "<string>"
}
}
],
"jsonapi": {
"version": "1.0"
}
}Messaging
List messages
Scope: messages:read
Oldest first, cursor-paged. Like reading the thread itself, this does not mark
anything read: that is PATCH /v1/conversations/{id} with unread: false.
GET
/
v1
/
conversations
/
{conversationId}
/
messages
List messages
curl --request GET \
--url https://{host}/v1/conversations/{conversationId}/messages \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{host}/v1/conversations/{conversationId}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/v1/conversations/{conversationId}/messages",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}import requests
url = "https://{host}/v1/conversations/{conversationId}/messages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"type": "messages",
"id": "88119",
"attributes": {
"body": "Would you consider €12,450 if it comes with the box?",
"author": "buyer",
"mine": false,
"removed": false,
"priceProposal": null,
"translatedBody": "Würden Sie 12.450 € in Betracht ziehen, wenn sie mit der Box kommt?",
"translationLocale": "de",
"translationSourceLocale": "en",
"translationPending": false,
"createdAt": "2026-09-21T07:12:40.000000Z"
},
"links": {
"self": "https://api.wristler.eu/v1/conversations/3312/messages/88119"
}
},
{
"type": "messages",
"id": "88120",
"attributes": {
"body": null,
"author": "seller",
"mine": true,
"removed": false,
"priceProposal": {
"amount": 1245000,
"currency": "EUR",
"shippingCosts": 0,
"saving": 50000,
"savingPercentage": 4,
"from": "seller",
"status": "pending",
"state": "open",
"payable": true,
"open": true,
"generatedBody": true,
"expiresAt": "2026-09-23T07:30:11.000000Z",
"acceptedAs": null,
"checkoutUrl": "https://wristler.eu/checkout/91827-rolex-submariner-date?expires=1790062211&price=1245000&signature=…"
},
"translatedBody": null,
"translationLocale": null,
"translationSourceLocale": null,
"translationPending": false,
"createdAt": "2026-09-21T07:30:11.000000Z"
},
"links": {
"self": "https://api.wristler.eu/v1/conversations/3312/messages/88120"
}
}
],
"meta": {
"page": {
"perPage": 25,
"hasMore": false
}
}
}{
"errors": [
{
"status": "404",
"code": "watch_reserved",
"title": "Not Found",
"detail": "<string>",
"meta": {},
"source": {
"pointer": "/data/attributes/reference",
"parameter": "<string>"
}
}
],
"jsonapi": {
"version": "1.0"
}
}{
"errors": [
{
"status": "404",
"code": "watch_reserved",
"title": "Not Found",
"detail": "<string>",
"meta": {},
"source": {
"pointer": "/data/attributes/reference",
"parameter": "<string>"
}
}
],
"jsonapi": {
"version": "1.0"
}
}Authorizations
oauth2bearerAuth
Query Parameters
Response
A page of messages.